#include "rheolef.h"
using namespace std;
using namespace rheolef;
int main (int argc, char**argv) {
  environment rheolef (argc, argv);
  field phi_h;
  din >> catchmark("phi") >> phi_h;
  const space& Xh = phi_h.get_space();
  band gh (phi_h);
  space Bh (gh.band(), "P1");
  field uh(Bh);
  din >> catchmark("u") >> uh;
  space Wh (gh.level_set(), "P1");
  gh.level_set().save();
  dout << interpolate (Wh, uh);
}
